Bric::Util::Grp::CategorySet(3p)

NAME
Bric::Util::Grp::CategorySet - A module to hold sets of categories.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $

SYNOPSIS
 use Bric::Util::Grp::CategorySet;

 # Normal group methods.

DESCRIPTION
Allows assets to be grouped into categories. In addition to assets a category can contain other categories, allowing a hierarchical layout of categories and assets.

INTERFACE

  Constructors

$obj = new Bric::Util::Grp::CategorySet($init);
    Inherited

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

@objs = lookup Bric::Util::Grp::CategorySet($cat_id);
    Inherited

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    This is the default lookup constructor which should be overrided in all derived classes even if it just calls 'die'.

@objs = list Bric::Util::Grp::CategorySet($param);
    Inherited.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$self->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY

  Public Class Methods

my $class = Bric::Util::Grp::CategorySet->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

my $class = Bric::Util::Grp::CategorySet->member_class()
    Returns a Bric::Util::Class object describing the members of this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods

$class_id = Bric::Util::Grp::CategorySet->get_class_id()
    This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    Overwite this in your sub classes

$class_id = Bric::Util::Grp::CategorySet->get_object_class_id()
    Forces all Objects to be considered as this class.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my $h = $cat->get_supported_classes;
    This supplies a package to table name mapping.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my @list_classes = Bric::Util::Grp::CategorySet->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $secret = Bric::Util::Grp::Category->get_secret()
    Returns false, because this is not a secret type of group, but one that can be used by users.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Methods
NONE

  Private Class Methods
NONE

  Private Instance Methods
NONE

NOTES
NONE

AUTHOR
Garth Webb <garth@perijove.com>

SEE ALSO
perl, Bric, Bric::Util::Grp